{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    {% if showActionButton == true %}
        <th class="mdc-data-table__header-cell" role="columnheader" scope="col"></th>
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Name / Firma / Kommune',
        'columnId': 'name',
        'ariaLabelId': 'name',
        'ariaLabelName': 'Name'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Straße',
        'columnId': 'strasse',
        'ariaLabelId': 'street',
        'ariaLabelName': 'Street'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'PLZ',
        'columnId': 'plz',
        'ariaLabelId': 'postalcode',
        'ariaLabelName': 'Postalcode'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Ort',
        'columnId': 'ort',
        'ariaLabelId': 'city',
        'ariaLabelName': 'City'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Telefon',
        'columnId': 'telefon',
        'ariaLabelId': 'phone-number',
        'ariaLabelName': 'Phone Number'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': false,
        'label': 'Status'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Ende Mietvertrag',
        'columnId': 'ende_mietvertrag',
        'ariaLabelId': 'end-of-lease',
        'ariaLabelName': 'End of Lease'
    } only %}
{% endblock %}

{% block tableContent %}
    {% if showActionButton == true %}
        <td class="mdc-data-table__cell">
            {% include 'component/view_or_edit_button_component.html.twig' with {
                'path': path(routeName, parameters|merge({'propertyUserId': listItem.getId()})),
                'item': listItem
            } only %}
            {% if listItem.getPerson().isDeleted() == false %}
                {% if is_granted('view', listItem.getPerson()) == true %}
                    <a href="{{ path('person_management_person_base_data', {'personId': listItem.getPerson().getId()}) }}" target="_blank" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary" title="Zum Kontakt">
                        <div class="mdc-icon-button__ripple"></div>
                        launch
                    </a>
                {% endif %}
            {% endif %}
        </td>
    {% endif %}
    {% if listItem.getPerson().isDeleted() == true %}
        <td class="mdc-data-table__cell text-danger" colspan="5">{{ listItem.getPerson().buildDisplayName() }}</td>
    {% elseif is_granted('view', listItem.getPerson()) == false %}
        <td class="mdc-data-table__cell"colspan="5">-</td>
    {% else %}
        <td class="mdc-data-table__cell">{{ listItem.getPerson().buildDisplayName() }}</td>
        <td class="mdc-data-table__cell">{{ listItem.getPerson().getStreetName() }} {{ listItem.getPerson().getHouseNumber() }}</td>
        <td class="mdc-data-table__cell">{{ listItem.getPerson().getPostalCode() }}</td>
        <td class="mdc-data-table__cell">{{ listItem.getPerson().getPlaceName() }}</td>
        <td class="mdc-data-table__cell">{{ listItem.getPerson().getPhoneNumber() }}</td>
    {% endif %}
    <td class="mdc-data-table__cell">
        {% if listItem.getPropertyUserStatus().name == 'CURRENT_PROPERTY_USER' %}<span class="text-success fw-bold">aktueller Nutzer</span>{% else %}<span class="text-danger">ehemaliger Nutzer</span>{% endif %}
        {% if listItem.isIsSubtenant() %}<br><small>Untermieter</small>{% endif %}
    </td>
    <td class="mdc-data-table__cell">{% if listItem.getEndOfRental() != null %}{{ listItem.getEndOfRental().format('d.m.Y') }}{% else %}k. A.{% endif %}</td>
{% endblock %}
